import { jsx } from "react/jsx-runtime";
import { TokenDEGEN as TokenDEGEN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDEGEN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "DEGEN", "data-name": "TokenDEGEN", ...props, children: /* @__PURE__ */ jsx(TokenDEGEN$1, { variant }) });
  }
);
TokenDEGEN.displayName = "TokenDEGEN";
Object.assign(TokenDEGEN, { isGdsIcon: true });
export {
  TokenDEGEN
};
